MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030866Open CASCADE[OCCT] OCCT:Visualizationpublic2019-08-06 13:212019-09-22 11:40
Reporternds 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0030866: Visualization - remove map of AIS_Manipulator from ViewerText
DescriptionAs customization about AIS_Manipulator Start/Transform/Stop has moved into AIS_ViewController, it is not needed having in ViewerTest:
- ViewerTest_MapOfAISManipulators,
- ViewerTest_AISManipulator.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030507verifiedbugmaster Visualization - introduce AIS_ViewController 

-  Notes
(0087062)
git (administrator)
2019-09-13 15:17

Branch CR30866 has been created by mzernova.

SHA-1: 63d8c914f537c81df1fc4759503b3ed23380e561


Detailed log of new commits:

Author: mzernova
Date: Fri Sep 13 15:13:29 2019 +0300

    0030866: Visualization - remove map of AIS_Manipulator from ViewerText
    
    ViewerTest_MapOfAISManipulators and ViewerTest_AISManipulator have been removed from ViewerTest
(0087063)
mzernova (developer)
2019-09-13 15:19

The patch CR30866 is ready to review
(0087134)
git (administrator)
2019-09-16 13:57

Branch CR30866_1 has been created by mzernova.

SHA-1: d69362891bbe4ca73bc138375080a490e2c5f2f3


Detailed log of new commits:

Author: mzernova
Date: Fri Sep 13 15:13:29 2019 +0300

    0030866: Visualization - remove map of AIS_Manipulator from ViewerText
    
    ViewerTest_MapOfAISManipulators and ViewerTest_AISManipulator have been removed from ViewerTest
(0087141)
osa (developer)
2019-09-16 15:49

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30866_1-master-osa [^]
(0087237)
bugmaster (administrator)
2019-09-18 07:59

Combination -
OCCT branch : WEEK-38
master SHA - f4b0c7724743aed612d5a891fa80cc4665aac4b5
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-38 SHA - 47ef57ada67e972ec9ba6877f6e606f142fd406d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16804.94000000009 / 16822.810000000067 [-0.11%]
Products
Total CPU difference: 10575.860000000055 / 10555.120000000048 [+0.20%]
Windows-64-VC14:
OCCT
Total CPU difference: 18226.703125 / 18222.765625 [+0.02%]
Products
Total CPU difference: 10575.860000000055 / 10555.120000000048 [+0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0087411)
git (administrator)
2019-09-22 11:40

Branch CR30866 has been deleted by inv.

SHA-1: 63d8c914f537c81df1fc4759503b3ed23380e561
(0087412)
git (administrator)
2019-09-22 11:40

Branch CR30866_1 has been deleted by inv.

SHA-1: d69362891bbe4ca73bc138375080a490e2c5f2f3

- Related Changesets
occt: master 8b037fe4
Timestamp: 2019-09-13 12:13:29
Author: mzernova
Committer: bugmaster
Details ] Diff ]
0030866: Visualization - remove map of AIS_Manipulator from ViewerText

ViewerTest_MapOfAISManipulators and ViewerTest_AISManipulator have been removed from ViewerTest
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-06 13:21 nds New Issue
2019-08-06 13:21 nds Assigned To => kgv
2019-08-06 13:23 nds Relationship added related to 0030507
2019-08-06 13:23 nds Priority normal => low
2019-08-27 19:46 kgv Assigned To kgv => mzernova
2019-08-27 19:46 kgv Status new => assigned
2019-09-13 15:17 git Note Added: 0087062
2019-09-13 15:19 mzernova Note Added: 0087063
2019-09-13 15:19 mzernova Assigned To mzernova => osa
2019-09-13 15:19 mzernova Status assigned => resolved
2019-09-13 15:19 mzernova Steps to Reproduce Updated View Revisions
2019-09-16 13:57 git Note Added: 0087134
2019-09-16 15:49 osa Note Added: 0087141
2019-09-16 16:11 osa Assigned To osa => bugmaster
2019-09-16 16:11 osa Status resolved => reviewed
2019-09-18 07:59 bugmaster Note Added: 0087237
2019-09-18 07:59 bugmaster Status reviewed => tested
2019-09-18 07:59 bugmaster Test case number => Not required
2019-09-21 18:13 bugmaster Changeset attached => occt master 8b037fe4
2019-09-21 18:13 bugmaster Status tested => verified
2019-09-21 18:13 bugmaster Resolution open => fixed
2019-09-22 11:40 git Note Added: 0087411
2019-09-22 11:40 git Note Added: 0087412


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker